### Method

# Phosh BackgroundCache lookup_background

#### Declaration [src]

    PhoshBackgroundImage*
    phosh_background_cache_lookup_background (
      PhoshBackgroundCache* self,
      GFile* file
    )

#### Description [src]

Looks up an image in the cache. If missing returns `NULL`.

#### Parameters

`file`

  Type: `GFile`

  The file to lookup.

  The data is owned by the caller of the method.

#### Return value

Type: `PhoshBackgroundImage`

The looked up background.

The data is owned by the instance.
The return value can be `NULL`.